

void sendMessage(  byte command, byte xPosByte, byte yPosByte, byte servoByte) { // send message until ACK is responded
  boolean ack = false;
  while (!ack) {
    int  ichksm = ((command + xPosByte + yPosByte + servoByte) % 250) + 1; //calculate checksum
    byte chksm = byte(ichksm);
    //send message
    Serial.write(byte(0));
    Serial.write(command);
    Serial.write(xPosByte);
    Serial.write(yPosByte);
    Serial.write(servoByte);
    Serial.write(chksm);
    while (!Serial.available()) {
    }//wait until byte is available
    int inByte = Serial.read();
    if (inByte == 6) {
      ack = true;
      while (Serial.available()) {
        int inByte = Serial.read(); //flush buffer
      }
    }
  }
}


/////////////////////////////////////////////////////////////////////////////////////////////
