uint16_t white;
uint16_t black;
uint16_t red ;
uint16_t green;
uint16_t grey;
uint16_t lightGreen;


// ===================================================layout
void  drawLayout() {
  tftClear();
  white = rgb(1, 1, 1);
  black = 0;
  red = rgb(1, 0, 0);
  green = rgb(0, .7, .3);
  grey = rgb(.5, .5, .5);
  lightGreen = rgb(0, 1, .5);

  // ----------------------------------------------------- draw box
  tft.fill(0, 0, 0);
  tft.stroke(255, 255, 255);
  tft.rect(10, 10, 110, 100);
}

// =============================================clear
void tftClear() {
  tft.background(0, 0, 0);
  //tft.fillRect(0, 0, 161, 128, rgb(0, 0, 0));           // blank screen
}

// ======================================================= convert rgb to gfx-library-style 2-byte color value

uint16_t rgb(float r, float g, float b) {
  r = r * 31;
  g = g * 63;
  b = b * 31;

  uint8_t ir = constrain(r, 0, 31);
  uint8_t ig = constrain(g, 0, 63);
  uint8_t ib = constrain(b, 0, 31);

  uint16_t returnColor = (ir & 0b00011111) << 11 | (ig & 0b00111111) << 5 | (ib & 0b00011111);
  return returnColor;
}
